
/* CUADRADO AZUL */
.overlay-box {
    background: #2f6f7399;
    padding: 100px 140px;
    border-radius: 10px;
}

/* para que el texto quede arriba */
.contacto-img * {
    position: relative;
    z-index: 1;
}

/* CONTENEDOR PRINCIPAL */
.contacto-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    width: 100%;
    max-width: 1100px;
    margin: auto;
    align-items: center;
}

/* IMAGEN IZQUIERDA */
.contacto-img {
    height: 350px;
    border-radius: 10px;
    background: url("../img/rivadavia8.jpg") center/cover;
    display: grid;
    align-items: center;
    padding: 20px;
}

.contacto-img h2 {
    font-size: 32px;
    font-weight: bold;
}

/* FORM */
.contacto-form {
    display: grid;
    gap: 10px;
}

.form-box input,
.form-box textarea {
    margin-top: 5px;
}

.form-box div {
    margin-top: 15px;
}

.btn-enviar {
    margin-top: 40px;
}

.contacto-form input,
.contacto-form textarea {
    width: 100%;
    border-radius: 20px;
    border: none;
    padding: 10px;
    outline: none;
}

.contacto-form textarea {
    height: 80px;
    resize: none;
}

/* BOTON */
.btn-enviar {
    justify-self: center;
    background: var(--color-secondary);
    color: white;
}

/* BOTON */
.btn-home {
    margin: 0;
    position: relative;
    top: -10%;
}

.form-overlay-box {
    display: none;
}

#contacto {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


/* =========================
   SECTION CONTENEDOR
========================= */
#ContactoData {
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 120px 20px 60px; /* separación arriba y abajo */
}

/* =========================
   CARD CENTRADA (FLOTANTE)
========================= */
.contacto-wrapper {
    width: 100%;
    max-width: 180vh;

    max-height: none;
    min-height: 100vh;

    display: flex;
    flex-direction: column; 
    
    backdrop-filter: blur(8px);

    padding: 60px 15px;
    border-radius: 20px;

    box-shadow: 0 15px 50px rgba(0,0,0,0.5);

    overflow: hidden;
}

/* =========================
   CONTENIDO INTERNO
========================= */
.contacto-top {
    display: flex;
    flex-direction: column;

    gap: 15px;

    text-align: center;
    padding-right: 5px;
}

.contacto-top h1 {
    font-size: 26px;
    margin: 0;
}

.contacto-top h3 {
    font-size: 16px;
    margin: 0;
    opacity: 0.8;
}

.contacto-top p {
    font-size: 14px;
    line-height: 1.3;
    margin: 0;
}

/* =========================
   MAPA
========================= */
.map-container {
    width: 100%;
    overflow: hidden;
    border-radius: 12px;
}

.map-container iframe {
    width: 100%;
    height: 260px;
    border: none;
}

/* =========================
   DATOS (CONTACTO)
========================= */
.ContactoData {
    display: flex;
    justify-content:start;
    align-items: center;

    padding: 5px 10px;
    gap: 10px;
}

/* ITEM */
.ContactoData a {
    display: flex;
    align-items: center;
    gap: 15px;

    background: rgba(28, 67, 70, 0.534);
    padding: 10px 15px;
    border-radius: 25px;

    font-size: 14px;

    transition: all 0.3s ease;
}

/* HOVER */
.ContactoData a:hover {
    background: rgba(47,111,115,0.6);
    transform: translateY(-2px);
}

/* ICONO */
.ContactoData img {
    width: 22px;
    height: 22px;
}

/* =========================
   AJUSTES UX SCROLL
========================= */
#ContactoData {
    scroll-margin-top: -5px;
}
